<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
  <title>Image Gallery</title>
</head>
<body>
  <!-- Global Container -->
  <div class="flex flex-col justify-center items-center | min-h-screen | bg-cyan-50">
    <!-- Card -->
    <div class="m3 p-6 md:p-40 | space-y-10 | rounded-3xl shadow-2xl bg-white">
      <!-- Menu Container -->
      <div class="flex flex-col md:flex-row |
            justify-center md:justify-end items-center | 
            space-y-3 md:space-y-0 md:space-x-8 
            md:mb-24">
        <!-- Menu Items -->
        <div class="group">
          <a href="#">Vector</a>
          <div class="mx-2 mt-2 | border-b-2 border-black | opacity-0
              group-hover:opacity-100 duration-500">
          </div>
        </div>
        <div class="group">
          <a href="#">Illustrations</a>
          <div class="mx-2 mt-2 | border-b-2 border-black | opacity-0
              group-hover:opacity-100 duration-500">
          </div>
        </div>
        <div class="group">
          <a href="#">Images</a>
          <div class="mx-2 mt-2 | border-b-2 border-black | opacity-0
              group-hover:opacity-100 duration-500">
          </div>
        </div>
        <div class="group">
          <a href="#">Icons</a>
          <div class="mx-2 mt-2 | border-b-2 border-black | opacity-0
              group-hover:opacity-100 duration-500">
          </div>
        </div>
      </div>
      <!-- Search Container -->
      <div class="flex flex-col md:flex-row | justify-between space-y-5 md:space-y-0">
        <!-- Input and SVG Container -->
        <div class="flex justify-between border-b">
          <input 
            type="text" 
            class="ml-6 md:w-80 | border-none placeholder:font-thin focus:outline-none"
            placeholder="Search"
          />
          <button>
            <svg
                xmlns="http://www.w3.org/2000/svg"
                class="w-8 text-gray-300 duration-200 hover:scale-110"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                stroke="currentColor"
                fill="none"
                stroke-linecap="round"
                stroke-linejoin="round"
              >
                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                <circle cx="10" cy="10" r="7" />
                <line x1="21" y1="21" x2="15" y2="15" />
              </svg>
          </button>
        </div>

        <!-- Upload Button -->
        <button
        class="py-3 px-14 | 
          text-lg font-normal text-white hover:text-black |
          border border-black |
          bg-black hover:bg-white |
          rounded-md shadow-2xl |
          duration-200"
        >
          Upload
        </button>
      </div>

      <!-- Gallery Container -->
      <div class="grid gap-4 | md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5">
        <!-- Image 1 -->
        <div class="relative group">
          <img src="images/image1.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>

        <!-- Image 2 -->
        <div class="relative group">
          <img src="images/image2.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>

        <!-- Image 3 -->
        <div class="relative group">
          <img src="images/image3.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>


        <!-- Image 4 -->
        <div class="relative group">
          <img src="images/image4.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>

        <!-- Image 5 -->
        <div class="relative group">
          <img src="images/image5.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>


        <!-- Image 6 -->
        <div class="relative group">
          <img src="images/image6.jpg" alt="" class="w-72" />
          <!-- Description -->
          <div
            class="absolute bottom-0 left-0 right-0 | 
                p-2 px-4 | text-white  | 
                bg-black bg-opacity-40 |
                opacity-0 group-hover:opacity-100 |
                duration-500"
          >
            <div class="flex justify-between w-full">
              <div class="font-normal">
                <p class="text-sm">Abstract Painting</p>
                <p class="text-xs">245 likes - 35 Shares</p>
              </div>
              <div class="flex items-center">
                <img src="images/bookmark.svg" alt="bookmark" />
              </div>
            </div>

          </div>
        </div>
      </div>
        

    </div>

  </div>
</body>
</html>